summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net/iproute2.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/net/iproute2.sh b/net/iproute2.sh
index 2e02fbe..765294a 100644
--- a/net/iproute2.sh
+++ b/net/iproute2.sh
@@ -301,6 +301,9 @@ iproute2_post_start()
iproute2_post_stop()
{
+ # Only do something if the interface actually exist
+ _exists || return
+
# Kernel may not have IP built in
if [ -e /proc/net/route ]; then
local rules="$(service_get_value "ip_rule")"